package signer

import (
	"git.cacert.org/cacert-gosigner/shared"
)

type CryptoSystem struct {
	Name             string
	Roots            map[shared.CryptoSystemRootId]interface{}
	Profiles         map[shared.CertificateProfileId]interface{}
	DigestAlgorithms map[shared.MessageDigestAlgorithmId]interface{}
}

func (system CryptoSystem) String() string {
	return system.Name
}
